org.apache.hadoop.mapred

## Class MapTaskAttemptImpl

- java.lang.Object
- - org.apache.hadoop.mapreduce.v2.app.job.impl.TaskAttemptImpl
  - - org.apache.hadoop.mapred.MapTaskAttemptImpl

- All Implemented Interfaces:
    TaskAttempt, org.apache.hadoop.yarn.event.EventHandler<TaskAttemptEvent>

      public class MapTaskAttemptImpl
      extends TaskAttemptImpl

- - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.mapreduce.v2.app.job.impl.TaskAttemptImpl

      `conf, container, dataLocalHosts, dataLocalRacks, eventHandler, jobFile, partition, RESOURCE_REQUEST_CACHE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapTaskAttemptImpl(org.apache.hadoop.mapreduce.v2.api.records.TaskId taskId, int attempt, org.apache.hadoop.yarn.event.EventHandler eventHandler, org.apache.hadoop.fs.Path jobFile, int partition, org.apache.hadoop.mapreduce.split.JobSplit.TaskSplitMetaInfo splitInfo, org.apache.hadoop.mapred.JobConf conf, TaskAttemptListener taskAttemptListener, org.apache.hadoop.security.token.Token<org.apache.hadoop.mapreduce.security.token.JobTokenIdentifier> jobToken, org.apache.hadoop.security.Credentials credentials, org.apache.hadoop.yarn.util.Clock clock, AppContext appContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.mapred.Task` | `createRemoteTask()`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.v2.app.job.impl.TaskAttemptImpl

      `getAssignedContainerID, getAssignedContainerMgrAddress, getAvataar, getCounters, getDiagnostics, getExternalState, getFinishTime, getID, getInternalState, getLaunchTime, getLocality, getNodeHttpAddress, getNodeId, getNodeRackName, getPhase, getProgress, getReport, getShuffleFinishTime, getShufflePort, getSortFinishTime, getState, handle, isFinished, isIP, isTaskFailFast, recover, resolveHost, resolveHosts, setAvataar, setLocality, setTaskFailFast`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapTaskAttemptImpl

          public MapTaskAttemptImpl(org.apache.hadoop.mapreduce.v2.api.records.TaskId taskId,
                                    int attempt,
                                    org.apache.hadoop.yarn.event.EventHandler eventHandler,
                                    org.apache.hadoop.fs.Path jobFile,
                                    int partition,
                                    org.apache.hadoop.mapreduce.split.JobSplit.TaskSplitMetaInfo splitInfo,
                                    org.apache.hadoop.mapred.JobConf conf,
                                    TaskAttemptListener taskAttemptListener,
                                    org.apache.hadoop.security.token.Token<org.apache.hadoop.mapreduce.security.token.JobTokenIdentifier> jobToken,
                                    org.apache.hadoop.security.Credentials credentials,
                                    org.apache.hadoop.yarn.util.Clock clock,
                                    AppContext appContext)

  - ### Method Detail

    - #### createRemoteTask

          public org.apache.hadoop.mapred.Task createRemoteTask()

      Specified by:
        `createRemoteTask` in class `TaskAttemptImpl`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.